{% extends "infra/base.html" %}

{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Matrix - {% if object %}Editar{% else %}Nuevo{% endif %} nodo{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'node-list' %}">Nodos</a></li>
    <li class="breadcrumb-item"><a href="{% url 'node-detail' pk=object.pk %}">ID: {{ object.pk }}</a></li>
    <li class="breadcrumb-item active"><a href="#">Leases de Nodo</a></li>
</ol>

<!-- begin page-header -->
<h1 class="page-header">Leases de Nodo <small>{{ object.code }}</small></h1>
<!-- end page-header -->

  <!-- end breadcrumb -->
  <ul class="nav nav-pills mb-2">
      <li class="nav-item">
        <a href="{% url 'node-detail' pk=object.pk %}"class="nav-link">
          <span class="d-sm-none">General</span>
          <span class="d-sm-block d-none">General</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-gear' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Equipos</span>
          <span class="d-sm-block d-none">Equipos</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-gallery' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Galería</span>
          <span class="d-sm-block d-none">Galería</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="#" class="nav-link">
          <span class="d-sm-none">Documentos</span>
          <span class="d-sm-block d-none">Documentos</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-services' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Servicios</span>
          <span class="d-sm-block d-none">Servicios</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-location' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Ubicación</span>
          <span class="d-sm-block d-none">Ubicación</span>
        </a>
      </li>
      <li class="nav-item">
          <a class="nav-link active">
            <span class="d-sm-none">DHCP leases</span>
            <span class="d-sm-block d-none">DHCP leases</span>
          </a>
        </li>
        {% if object.is_optical_fiber %}
        <li class="nav-item">
            <a href="#" class="nav-link">
              <span class="d-sm-none">Fibra Óptica</span>
              <span class="d-sm-block d-none">Fibra Óptica</span>
            </a>
          </li>
          {% endif %}
          <li class="nav-item">
              <a href="{% url 'node-activities' pk=object.pk %}" class="nav-link">
                <span class="d-sm-none">Actividades</span>
                <span class="d-sm-block d-none">Actividades</span>
              </a>
            </li>
            {% if not object.no_address_binding %}
            <li class="nav-item">
                <a href="#" class="nav-link">
                  <span class="d-sm-none">Asociar Dirección</span>
                  <span class="d-sm-block d-none">Asociar Dirección</span>
                </a>
              </li>
    
            {% endif %}
    </ul>


    <!-- begin row -->
<div class="row">
    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Leases</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
        <div class="col-md-12">
          <table id="contract-list" cellspacing="0" width="100%" class="table table-hover dt-responsive nowrap">
            <thead>
              <tr>
                <th>IP</th>
                <th>MAC</th>
                <th>Estado</th>
                <th>Host Name</th>
              </tr>
            </thead>
            <tbody>
              {% for lease in object.leases %}
              <tr>
                <td>{{ lease.address }}</td>
                <td>{{ lease.mac_address }}</td>
                <td>{{ lease.status }}</td>
                <td>{{ lease.host_name }}</td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
        </div>          
        </div>
        
      </div>
      <!-- end panel-body -->
    </div>
    <!-- end panel -->
  </div>
  <!-- end col-12 -->

    </section>
    <!-- Work Here end-->
{% endblock %}
